<div class="templete">
    <!-- gl-modal -->
    <gl-modal :title="$lang.process.changeRouterIp" :modalStatus="showStatus" type="error" size="sm" class="smprocess-modal">
        <div class="modal-body ">
            <span>{{t($lang.process.reConnect)}}
                <strong>
                    <span class="clsRouterIP">192.168.8.1</span>
                </strong>.
                <br/>
                <br/>{{t($lang.process.adminPanel)}} http://
                <a class="clsRouterIP" href="http://192.168.8.1">192.168.8.1</a>
                <!-- / {{t($lang.process.reConnection)}} -->
            </span>
        </div>
        <div class="modal-footer">
            <gl-btn type="default" @click="closeModal">{{t($lang.button.ok)}}</gl-btn>
        </div>
    </gl-modal>
    <!-- gl-modal -->
    <gl-modal :title="$lang.process.routerLost" :modalStatus="showModal" type="error" class="process-modal">
        <div class="modal-body" style="background: #f1f1f2">
            <span>{{t($lang.process.reConnect)}}</strong>
                <br/> {{t($lang.process.adminPanel)}} http://
                <a class="clsRouterIP" style="cursor: pointer" href="http://192.168.8.1">192.168.8.1</a>
                 {{t($lang.process.other_ip)}}.
            </span>
            <br/>
            <span>
                <div id="router-wifi-ssid" class="col-sm-6 text-center">
                    <div id="router-wifi-ssid-txt" class="text-left col-sm-12 clsDeviceSSID">{{gl_sSSID}}</div>
                    <img class="" src="./src/static/images/router-disconnect-wifi_ssid.svg" />
                </div>
                <div id="router-wifi-key" class="col-sm-6  text-center">
                    <div id="router-wifi-key-txt" class="text-left col-sm-12">********</div>
                    <img class="" src="./src/static/images/router-disconnect-wifi_key.svg" />
                </div>
                <span class="cleanfix"></span>
            </span>
        </div>
        <div class="modal-footer">
            <gl-btn type="default" @click="goWelcome">{{t($lang.button.ok)}}</gl-btn>
        </div>
    </gl-modal>


    <div class="container-fluid" id="processingBox" v-cloak>
        <div class="row first-row-margin">
            <div class="col-lg-12">
                <div class="container upgrade-processing-style" id="upgradeFirmware">
                    <h1>
                        <img src="/src/static/images/logo_64x20-color.png" />
                    </h1>
                    <div class="upgradeFirmwareUI" :class="{hide:UIStatus!='upgrade'}">
                        <h2>{{t($lang.process.installing)}}…</h2>
                        <p>{{t($lang.process.installsft)}}.
                            <br/>{{t($lang.process.seekOnline)}}:
                            <a href="https://docs.gl-inet.com/" target="_blank">&nbsp;https://docs.gl-inet.com/ </a>
                        </p>
                    </div>
                    <div class="revertFirmwareUI" :class="{hide:UIStatus!='revert'}">
                        <h2>{{t($lang.process.reverting)}}…</h2>
                        <p>{{t($lang.process.revertTime)}}.
                            <br/>{{t($lang.process.seekOnline)}}:
                            <a href="https://docs.gl-inet.com/" target="_blank">&nbsp;https://docs.gl-inet.com/ </a>
                        </p>
                    </div>
                    <div class="rebootUI" :class="{hide:UIStatus!='reboot'}">
                        <h2>{{t($lang.process.rebooting)}}…</h2>
                        <p>{{t($lang.process.routerReboot)}}.
                            <br/>{{t($lang.process.seekOnline)}}:
                            <a href="https://docs.gl-inet.com/" target="_blank">&nbsp;https://docs.gl-inet.com/</a>
                        </p>
                    </div>
                    <div class="progress">
                        <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"
                            style="width:0%" id="idUpgradeProcessing"> 0
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>